Multiple vulnerabilities in Google Chrome



Published: 2022-06-09 | Updated: 2022-06-14
Risk High
Patch available YES
Number of vulnerabilities 4
CVE-ID CVE-2022-2007
CVE-2022-2008
CVE-2022-2010
CVE-2022-2011
CWE-ID CWE-416
CWE-119
CWE-125
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Google Chrome
Client/Desktop applications / Web browsers

Vendor Google

Security Bulletin

This security bulletin contains information about 4 vulnerabilities.

1) Use-after-free

EUVDB-ID: #VU64144

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-2007

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a use-after-free error within the WebGPU component in Google Chrome. A remote attacker can create a specially crafted web page, trick the victim into visiting it, trigger use-after-free error and execute arbitrary code on the target system.

Successful exploitation of the vulnerability may allow an attacker to compromise vulnerable system.

Mitigation

Update to version 102.0.5005.115.

Vulnerable software versions

Google Chrome: 90.0.4430.72 - 102.0.5005.63


CPE2.3 External links

http://chromereleases.googleblog.com/2022/06/stable-channel-update-for-desktop.html
http://crbug.com/1326210
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-2007

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

2) Buffer overflow

EUVDB-ID: #VU64145

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-2008

CWE-ID: CWE-119 - Improper Restriction of Operations within the Bounds of a Memory Buffer

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise the affected system.

The vulnerability exists due to a boundary error in WebGL in Google Chrome. A remote attacker can trick the victim to visit a specially crafted webpage, trigger a stack-based buffer overflow and execute arbitrary code on the system.

Mitigation

Update to version 102.0.5005.115.

Vulnerable software versions

Google Chrome: 90.0.4430.72 - 102.0.5005.63


CPE2.3 External links

http://chromereleases.googleblog.com/2022/06/stable-channel-update-for-desktop.html
http://crbug.com/1317673
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-2008

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

3) Out-of-bounds read

EUVDB-ID: #VU64146

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-2010

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to a boundary condition within the compositing component in Google Chrome. A remote attacker can trick the victim into visiting a specially crafted web page, trigger an out-of-bounds read error and gain access to sensitive information.

Mitigation

Update to version 102.0.5005.115.

Vulnerable software versions

Google Chrome: 90.0.4430.72 - 102.0.5005.63


CPE2.3 External links

http://chromereleases.googleblog.com/2022/06/stable-channel-update-for-desktop.html
http://crbug.com/1325298
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-2010

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

4) Use-after-free

EUVDB-ID: #VU64147

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-2011

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a use-after-free error within the ANGLE component in Google Chrome. A remote attacker can create a specially crafted web page, trick the victim into visiting it, trigger use-after-free error and execute arbitrary code on the target system.

Successful exploitation of the vulnerability may allow an attacker to compromise vulnerable system.

Mitigation

Update to version 102.0.5005.115.

Vulnerable software versions

Google Chrome: 90.0.4430.72 - 102.0.5005.63


CPE2.3 External links

http://chromereleases.googleblog.com/2022/06/stable-channel-update-for-desktop.html
http://crbug.com/1330379
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-2011

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###